local fsCycle = require("fullScreenCycle")

love.window.setMode(800, 600, {resizable = true})

love.keypressed = function(key)
  if key == "c" then
    fsCycle.cycle()

  elseif key == "m" then
    fsCycle.maximize()

  elseif key == "w" then
    fsCycle.windowed()

  elseif key == "f" then
    fsCycle.fullscreen()
  
  elseif key == "n" then
    fsCycle.minimize()
  end

end

love.draw = function()
  love.graphics.print("Press F for fullscreen; W for windowed; N for minimized; C to cycle in-beetwen mode")
  love.graphics.print("Window state: " .. fsCycle.getState("string"), 0, 30)
end